- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Signal1< P > Class Template Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

Inheritance diagram for G::Signal1< P >:

## Public Member Functions
| Signal1 (bool once=false)
void | emit (P p)
void | connect (Slot1< P > slot)
void | disconnect ()
void | reset ()
Public Member Functions inherited from G::noncopyable
| noncopyable ()

## Detailed Description

### template<typename P>
class G::Signal1< P >

Part of the slot/signal system.

Definition at line 212 of file gslot.h.

## Constructor & Destructor Documentation

template<typename P>

G::Signal1< P >::Signal1 | ( | bool | once = `false` | ) |
| inline explicit

Definition at line 219 of file gslot.h.

## Member Function Documentation

template<typename P>

void G::Signal1< P >::connect | ( | Slot1< P > | slot | ) |
| inline

Definition at line 221 of file gslot.h.

template<typename P>

void G::Signal1< P >::disconnect | ( |  | ) |
| inline

Definition at line 222 of file gslot.h.

template<typename P>

void G::Signal1< P >::emit | ( | P | p | ) |
| inline

Definition at line 220 of file gslot.h.

template<typename P>

void G::Signal1< P >::reset | ( |  | ) |
| inline

Definition at line 223 of file gslot.h.

The documentation for this class was generated from the following file:

- gslot.h